import { OnInit } from '@angular/core';
import { Router } from "@angular/router";
import { DataStorageService } from "app/core/services/data-storage.service";
import { FileUploadEventArgs } from "app/core/models/base/FileUploadEventArgs";
export declare class HeaderComponent implements OnInit {
    private router;
    private dataStorageService;
    constructor(router: Router, dataStorageService: DataStorageService);
    ngOnInit(): void;
    refresh(): void;
    onVersionChanged($newVersion: any): void;
    readonly currentApiversion: number;
    fileUploaded(args: FileUploadEventArgs): void;
}
