import { OnInit } from '@angular/core';
import { FormGroup, FormBuilder } from "@angular/forms";
import { Observable } from "rxjs/Observable";
import { FdsVehicle } from "app/core/models/base/Vehicle";
import { MockDataService } from "app/core/services/mockdata.service";
import { DataStorageService } from "app/core/services/data-storage.service";
export declare class VehicleComponent implements OnInit {
    private fb;
    private mockDataService;
    private dataStorageService;
    vehicleForm: FormGroup;
    vehicles: Observable<FdsVehicle[]>;
    vehicle: FdsVehicle;
    constructor(fb: FormBuilder, mockDataService: MockDataService, dataStorageService: DataStorageService);
    ngOnInit(): void;
    setValues(vehicle: FdsVehicle): void;
    getVehicle(): FdsVehicle;
    select(vehicle: FdsVehicle): void;
    onSubmit(): void;
}
