import { Http } from '@angular/http';
import { Observable } from 'rxjs/Observable';
import 'rxjs/add/operator/map';
import { FdsDealer } from "app/core/models/base/Dealer";
import { FdsPerson } from "app/core/models/base/Person";
import { FdsVehicle } from "app/core/models/base/Vehicle";
export declare class MockDataService {
    private http;
    constructor(http: Http);
    getDealer(): Observable<FdsDealer[]>;
    getCustomers(): Observable<FdsPerson[]>;
    getVehicles(): Observable<FdsVehicle[]>;
    getCalculationV0(): Observable<object>;
    getCalculationV1(): Observable<object>;
}
