import { FormGroup } from "@angular/forms";
import { FincaRequest } from "app/core/models/base/FincaRequest";
import { FdsDealer } from "app/core/models/base/Dealer";
import { FdsPerson } from "app/core/models/base/Person";
import { FdsVehicle } from "app/core/models/base/Vehicle";
export declare class RequestService {
    fincaRequest: FincaRequest;
    calculationForm: FormGroup;
    constructor();
    addRequiredData(name?: string, application?: string, brand?: string, productSetId?: string, productId?: string): void;
    addDealer(dealer: FdsDealer): void;
    addCustomer(customer: FdsPerson): void;
    addProductPolicyHolder(productPolicyHolder: FdsPerson): void;
    addVehicle(vehicle: FdsVehicle): void;
    addDefaultSettings(defaultSettings: string): void;
    addProductParameters(): void;
}
