(function (global, factory) {
	typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('@angular/platform-browser'), require('@angular/forms'), require('@angular/http'), require('@angular/router'), require('app/core/fds-ui-calculator.module'), require('@ng-bootstrap/ng-bootstrap/index'), require('app/core/components/dealer/dealer.component'), require('app/core/components/vehicle/vehicle.component'), require('app/core/components/customer/customer.component'), require('app/core/components/productpolicyholder/productpolicyholder.component'), require('app/core/components/defaultsettings/defaultsettings.component'), require('app/core/components/calculation/calculation.component')) :
	typeof define === 'function' && define.amd ? define(['exports', '@angular/core', '@angular/platform-browser', '@angular/forms', '@angular/http', '@angular/router', 'app/core/fds-ui-calculator.module', '@ng-bootstrap/ng-bootstrap/index', 'app/core/components/dealer/dealer.component', 'app/core/components/vehicle/vehicle.component', 'app/core/components/customer/customer.component', 'app/core/components/productpolicyholder/productpolicyholder.component', 'app/core/components/defaultsettings/defaultsettings.component', 'app/core/components/calculation/calculation.component'], factory) :
	(factory((global.fdslib = {}),global.core,global.platformBrowser,global.forms,global.http,global.router,global.fdsUiCalculator_module,global.index,global.dealer_component,global.vehicle_component,global.customer_component,global.productpolicyholder_component,global.defaultsettings_component,global.calculation_component));
}(this, (function (exports,core,platformBrowser,forms,http,router,fdsUiCalculator_module,index,dealer_component,vehicle_component,customer_component,productpolicyholder_component,defaultsettings_component,calculation_component) { 'use strict';

var AppComponent = (function () {
    function AppComponent() {
    }
    /**
     * @return {?}
     */
    AppComponent.prototype.ngOnInit = function () {
    };
    return AppComponent;
}());
AppComponent.decorators = [
    { type: core.Component, args: [{
                selector: 'app-root',
                template: "<header></header> <app-header></app-header> <section> <router-outlet></router-outlet> </section> <footer> <app-footer></app-footer> </footer>",
                styles: [""]
            },] },
];
/**
 * @nocollapse
 */
AppComponent.ctorParameters = function () { return []; };

var appRoutes = [
    { path: '', redirectTo: '/dealer', pathMatch: 'full' },
    { path: 'dealer', component: dealer_component.DealerComponent },
    { path: 'vehicle', component: vehicle_component.VehicleComponent },
    { path: 'customer', component: customer_component.CustomerComponent },
    { path: 'productpolicyholder', component: productpolicyholder_component.ProductpolicyholderComponent },
    { path: 'defaultsettings', component: defaultsettings_component.DefaultsettingsComponent },
    { path: 'calculation',
        component: calculation_component.CalculationComponent,
    }
];

var FDSCalc = (function () {
    function FDSCalc() {
    }
    /**
     * @return {?}
     */
    FDSCalc.forRoot = function () {
        return {
            ngModule: FDSCalc
        };
    };
    return FDSCalc;
}());
FDSCalc.decorators = [
    { type: core.NgModule, args: [{
                declarations: [
                    AppComponent
                ],
                imports: [
                    platformBrowser.BrowserModule,
                    http.HttpModule,
                    forms.FormsModule,
                    forms.ReactiveFormsModule,
                    fdsUiCalculator_module.FDSCalculatorModule,
                    router.RouterModule.forRoot(appRoutes),
                    index.NgbModule.forRoot()
                ],
                providers: [],
                bootstrap: [AppComponent]
            },] },
];
/**
 * @nocollapse
 */
FDSCalc.ctorParameters = function () { return []; };

exports.FDSCalc = FDSCalc;

Object.defineProperty(exports, '__esModule', { value: true });

})));
