import { OnInit } from '@angular/core';
import { FormGroup, FormBuilder } from "@angular/forms";
import { Observable } from "rxjs/Observable";
import { FdsPerson } from "app/core/models/base/Person";
import { MockDataService } from "app/core/services/mockdata.service";
import { DataStorageService } from "app/core/services/data-storage.service";
export declare class CustomerComponent implements OnInit {
    private fb;
    private mockDataService;
    private dataStorageService;
    customer: FdsPerson;
    customerForm: FormGroup;
    customers: Observable<FdsPerson[]>;
    constructor(fb: FormBuilder, mockDataService: MockDataService, dataStorageService: DataStorageService);
    ngOnInit(): void;
    setValues(customer: FdsPerson): void;
    getCustomer(): FdsPerson;
    select(customer: FdsPerson): void;
    onSubmit(): void;
}
