import { OnInit } from '@angular/core';
import { Observable } from "rxjs/Observable";
import { FormBuilder, FormGroup } from '@angular/forms';
import { Router } from "@angular/router";
import { FdsDealer } from "app/core/models/base/Dealer";
import { MockDataService } from "app/core/services/mockdata.service";
import { DataStorageService } from "app/core/services/data-storage.service";
export declare class DealerComponent implements OnInit {
    private fb;
    private mockDataService;
    private dataStorageService;
    private router;
    dealerForm: FormGroup;
    dealers: Observable<FdsDealer[]>;
    brands: string[];
    validityGroups: string[];
    cooperationIndexs: string[];
    constructor(fb: FormBuilder, mockDataService: MockDataService, dataStorageService: DataStorageService, router: Router);
    ngOnInit(): void;
    setValues(dealer: FdsDealer): void;
    getDealer(): FdsDealer;
    select(dealer: FdsDealer): void;
    onSubmit(): void;
}
