import { OnInit } from '@angular/core';
import { FormBuilder, FormGroup } from "@angular/forms";
import { Router } from "@angular/router";
import { RequestService } from "app/core/services/request.service";
import { Products } from "app/core/models/base/Products";
import { DataStorageService } from "app/core/services/data-storage.service";
export declare class FooterComponent implements OnInit {
    private fb;
    private router;
    private requestService;
    private dataStorageService;
    footerForm: FormGroup;
    products: Products;
    constructor(fb: FormBuilder, router: Router, requestService: RequestService, dataStorageService: DataStorageService);
    ngOnInit(): void;
    onProductChange(event: Event): void;
    calculate(): void;
}
