export declare class CalculationUiDescriptionV0 {
    Response: Response;
}
export declare class Response {
    ProductSets: ProductSets;
    Messages: Message[];
    Parameters: ParameterResponse;
}
export declare class Message {
    Code: string;
    ReferenceId: string;
    Severity: string;
    Value: string;
}
export declare class ProductSets {
    ProductSet: ProductSet[];
}
export declare class ProductSet {
    Default: boolean;
    ID: string;
    Description: string;
    SalesProducts: SalesProducts;
    Label: string;
}
export declare class SalesProducts {
    SalesProduct: SalesProduct[];
}
export declare class SalesProduct {
    Default: boolean;
    ID: string;
    Description: string;
    Label: string;
}
export declare class ParameterResponse {
    Group: Group[];
}
export declare class Group {
    Group: Group[];
    Parameter: Parameter[];
    InitialState: string;
    Label: string;
    Name: string;
    Size: string;
    Offset: string;
    Type: string;
}
export declare class Parameter {
    DataValues: DataValue;
    AutoPostBack: string;
    DataType: string;
    ID: string;
    Label: string;
    Name: string;
    Type: string;
    Layout: Layout;
}
export declare class DataValue {
    DataValue: any;
}
export declare class Layout {
    ReadOnly: string;
    Size: string;
    Unit: string;
}
